{% url 'shop:index' as home %}
{% url 'shop:about' as about %}
{% url 'shop:service' as service %}
{% url 'shop:contact' as contact %}


<!-- Navigation -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <div class="container">
      <a class="navbar-brand" href="{% url 'shop:index' %}">Basic E-commerce Web Site</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item{% if request.path == home %} active{% else %}{% endif %}">
            <a class="nav-link" href="{% url 'shop:index' %}">Home
              <span class="sr-only">(current)</span>
            </a>
          </li>
          <li class="nav-item{% if request.path == about %} active{% else %}{% endif %}">
            <a class="nav-link" href="{% url 'shop:about' %}">About</a>
          </li>
          <li class="nav-item{% if request.path == service %} active{% else %}{% endif %}">
            <a class="nav-link" href="{% url 'shop:service' %}">Services</a>
          </li>
          <li class="nav-item{% if request.path == contact %} active{% else %}{% endif %}">
            <a class="nav-link" href="{% url 'shop:contact' %}">Contact</a>
          </li>
        </ul> &nbsp
		<form class="form-inline mt-2 mt-md-0" action="{% url 'shop:search' %}" method="post">
      {% csrf_token %}
			<input class="form-control mr-sm-2" type="text" placeholder="Search Products" aria-label="Search" name="searched">
			<button class="btn btn-outline-secondary my-2 my-sm-0" type="submit">Search</button>
		</form>
      </div>
    </div>
  </nav>